IgnoredTestListener (Apache Ant API)
Date: 2016-08-23

org.apache.tools.ant.taskdefs.optional.junit

## Interface IgnoredTestListener

- All Superinterfaces:
    junit.framework.TestListener
  All Known Implementing Classes:
    BriefJUnitResultFormatter, PlainJUnitResultFormatter, TestListenerWrapper, XMLJUnitResultFormatter

      public interface IgnoredTestListener
      extends junit.framework.TestListener

  Provides the functionality for TestListeners to be able to be notified of the necessary JUnit4 events for test being ignored (@Ignore annotation) or skipped (Assume failures). Tests written in JUnit4 will report against the methods in this interface alongside the methods in the existing TestListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testAssumptionFailure(junit.framework.Test test, java.lang.Throwable exception)` Receive a report that a test has failed an assumption.
    `void` | `testIgnored(junit.framework.Test test)` Reports when a test has been marked with the @Ignore annotation.

    - ### Methods inherited from interface junit.framework.TestListener

      `addError, addFailure, endTest, startTest`

- - ### Method Detail

    - #### testIgnored

          void testIgnored(junit.framework.Test test)

      Reports when a test has been marked with the @Ignore annotation. The parameter should normally be typed to JUnit's `JUnit4TestCaseFacade` so implementing classes should be able to get the details of the ignore by casting the argument and retrieving the descriptor from the test.
      Parameters:
        `test` - the details of the test and failure that have triggered this report.

    - #### testAssumptionFailure

          void testAssumptionFailure(junit.framework.Test test,
                                     java.lang.Throwable exception)

      Receive a report that a test has failed an assumption. Within JUnit4 this is normally treated as a test being skipped, although how any listener handles this is up to that specific listener.
      Note: Tests that throw assumption failures will still report the endTest method, which may differ from how the addError and addFailure methods work, it's up for any implementing classes to handle this.
      Parameters:
        `test` - the details of the test and failure that have triggered this report.
        `exception` - the AssumptionViolatedException thrown from the current assumption failure.